PrefabFiles = {
	"shw",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/shw.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/shw.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/shw.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/shw.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/shw_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/shw_silho.xml" ),

    Asset( "IMAGE", "bigportraits/shw.tex" ),
    Asset( "ATLAS", "bigportraits/shw.xml" ),

	Asset( "IMAGE", "images/map_icons/shw.tex" ),
	Asset( "ATLAS", "images/map_icons/shw.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/shw.fev"),
    Asset("SOUND", "sound/shw.fsb"),
	
}


RemapSoundEvent( "dontstarve/characters/shw/death_voice", "shw/characters/shw/death_voice" )
RemapSoundEvent( "dontstarve/characters/shw/hurt", "shw/characters/shw/hurt" )
RemapSoundEvent( "dontstarve/characters/shw/talk_LP", "shw/characters/shw/talk_LP" )

local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "shw" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "",
		appearanim = "appear",
		idleanim= "idle",
		dialogpreanim = "dialog_pre",
		dialoganim="dial_loop",
		dialogpostanim = "dialog_pst",
		disappearanim = "disappear",
            disableplayer = true,
            skippable = true,
            {
                string = "Hm..are you a shadow of Sonice or are you your own person?",
                wait = 5,
                anim = nil,
            },

	}
    end
	
		
end
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)

-- strings! Any "shw" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.shw = "Shadow the Hedgehog"
GLOBAL.STRINGS.CHARACTER_NAMES.shw = "Shadow"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.shw = "This strange Hedgehog found himself in this place...is he a shadow of Sonice?"
GLOBAL.STRINGS.CHARACTER_QUOTES.shw = "\"I'll show you the true power of Chaos Control!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
GLOBAL.STRINGS.NAMES.CRNSPK= "Crown"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CRNSPK= "Custom"

local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.SHW= require "speech_shw"

-- Let the game know shw is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "shw")

AddMinimapAtlas("images/map_icons/shw.xml")
AddModCharacter("shw")

